package com.heyu.api.data.service.calca;
/**
* <p>
* 定时任务日志 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.calca.ScheduleJobLogEntity;
public interface ScheduleJobLogService extends IService<ScheduleJobLogEntity> {



	ScheduleJobLogEntity selectScheduleJobLogById(Long id);


	Long insertScheduleJobLog(ScheduleJobLogEntity scheduleJobLog);


	Long insertOrUpdateScheduleJobLog(ScheduleJobLogEntity scheduleJobLog);


	int updateScheduleJobLogById(ScheduleJobLogEntity scheduleJobLog);


	int updateCoverScheduleJobLogById(ScheduleJobLogEntity scheduleJobLog);


	int deleteScheduleJobLogById(Long id);


}